#ifndef __SETTINGS_H
#define __SETTINGS_H

/* login */
extern char *set_login_executable;
extern char *set_login_user;
extern char *set_login_dir;
extern int set_login_chroot;
extern int set_login_processes_count;

extern uid_t set_login_uid;
extern gid_t set_login_gid;

/* imap */
extern char *set_imap_executable;
extern char *set_valid_chroot_dirs;

extern int set_imap_port;

extern int set_first_valid_uid, set_last_valid_uid;
extern int set_first_valid_gid, set_last_valid_gid;

extern int set_maildir_copy_with_hardlinks;
extern int set_maildir_check_content_changes;
extern int set_umask;

/* auth */
typedef struct _AuthConfig AuthConfig;

struct _AuthConfig {
	AuthConfig *next;

	char *name;
	char *methods;
	char *userinfo, *userinfo_args;
	char *executable;
	char *user;
	char *chroot;

	int count;
};

extern AuthConfig *auth_processes_config;

void settings_read(void);

#endif
